/***To Enter Only Numbers***/
function isNumber(evt) {
    evt = (evt) ? evt : window.event;
    var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
    }
    return true;
}
/***To Enter Only Numbers End***/

if($('#my-player').length > 0) {
  var options = {};
  var player = videojs('my-player', options, function onPlayerReady() {

      // videojs.log('Your player is ready!');

      // In this context, `this` is the player that was created by Video.js.
      this.play();

      // How about an event listener?
      this.on('ended', function() {
        // videojs.log('Awww...over so soon?!');
        $('.play-layer').fadeIn();
        $(document).on('click','.play-layer', function(){
          $('.step1').fadeOut('slow');
        });

      });

  });
}

$(function(){
  $(document).on('mouseover','.nav-menu .menu-item .icon', function(){
    $(this).parent().addClass("hover");
  });
  $(document).on('mouseleave','.nav-menu .menu-item .icon', function(){
    $(this).parent().removeClass("hover");
  });
});

// $('[data-fancybox]').fancybox({
//   protect: true,
//   buttons : [
//     'zoom',
//     'thumbs',
//     'close'
//   ],
//   afterLoad : function(instance, current) {
    
//   }
// });


function ValidateEmail(email) {
  var expr = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;
  return expr.test(email);
}

if ($('#contactForm').length > 0) {
  $('#fullName').on('blur keyup', function () {
    this.value = this.value.replace(/^-?[0-9]+(\.[0-9]*){0,1}$/g, '');
    var full_name = $(this).val();
    if (full_name.length < 1) {
        $('#fullName-error').text('This field is required');
        return false;
    } else {
        $('#fullName-error').text('');
    }
  });
  $('#phoneNumber').on('blur keyup', function () {
    var phone_number = $(this).val();
    if (phone_number.length < 1) {
        $('#phoneNumber-error').text('This field is required');
        return false;
    } else if (phone_number.length < 10) {
        $('#phoneNumber-error').text('Please enter a valid phone number');
        return false;
    } else {
        $('#phoneNumber-error').text('');
    }
  });
  $('#emailId').on('blur keyup', function () {
    var email_address = $(this).val();
    if (email_address.length < 1) {
        $('#emailId-error').text('This field is required');
        return false;
    } else {
        if (!ValidateEmail(email_address)) {
            $('#emailId-error').text('Please enter a valid email');
            return false;
        } else {
            $('#emailId-error').text('');
        }
    }
  });

  $('#submitBtn').click(function (e) {
    e.preventDefault();
      $('.error-msg, .success-msg').html('');
      var full_name = $('#fullName').val();
      var phone_number = $('#phoneNumber').val();
      var email_address = $('#emailId').val();
      if (full_name.length < 1) {
          $('#fullName-error').text('This field is required');
          return false;
      } else {
          $('#fullName-error').text('');
      }
      if (phone_number.length < 1) {
          $('#phoneNumber-error').text('This field is required');
          return false;
      } else if (phone_number.length < 10) {
          $('#phoneNumber-error').text('Please enter a valid phone number');
          return false;
      } else {
          $('#phoneNumber-error').text('');
      }
      if (email_address.length < 1) {
          $('#emailId-error').text('This field is required');
          return false;
      } else {
          if (!ValidateEmail(email_address)) {
              $('#emailId-error').text('Please enter a valid email');
              return false;
          } else {
              $('#emailId-error').text('');
          }
      }
  });

}

// $('.fancybox-enabled').keyup(function(e) {
//      if (e.key === "Escape") { // escape key maps to keycode `27`
//         alert();
//     }
// });

/********navigation menu click function*******/
$(document).on('click','.nav-menu .menu-item', function(){
  $('.nav-menu .menu-item').not(this).removeClass('active');
  $(this).toggleClass('active');
});

$("[data-fancybox]").fancybox({
  onClosed: function() {
    $('.nav-menu .menu-item').removeClass('active');
  }
});
